> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Update a bank transfer method

PUT https://api.letsdeel.com/rest/payouts/contractors/methods/{id}
Content-Type: application/json

Updates an existing bank transfer payout method. This performs a full replacement of the method rather than a partial update.

 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/update-a-bank-transfer-method-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `id` (string, required) — Method unique identifier

### Body (application/json)

This endpoint expects an object.

- `data` (PayoutsContractorsMethodsIdPutRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Bank transfer method created successfully.

- `data` (PayoutsContractorsMethodsIdPutResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `errors` (list of PayoutsContractorsMethodsIdPutResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### PayoutsContractorsMethodsIdPutRequestBodyContentApplicationJsonSchemaData

- `address` (PayoutsContractorsMethodsIdPutRequestBodyContentApplicationJsonSchemaDataAddress, required)
- `payload` (map from string to any, required) — Dynamic properties based on selected option. For example, if `selectedOption` is `swift_code`, payload may include `swiftCode`, `accountHolderName`, and `accountNumber`.
- `payment_method` (enum, required) — Specifies the type of payment method
  - Allowed values: `bank_transfer`
- `is_default` (boolean, optional) — Specifies if the method is the default payout method - if true, autowithdrawal will be enabled for the contractor using this method
- `method_name` (string, optional) — Name for method
- `selectedOption` (string, optional) — Specifies the type of bank transfer method. Maps from requirements type field

### PayoutsContractorsMethodsIdPutResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — Unique identifier for the bank transfer method
- `status` (enum, optional) — Status of the method
  - Allowed values: `PENDING`, `VERIFYING`, `FAILED`, `APPROVED`
- `version` (string, optional) — Version identifier for the bank transfer method

### PayoutsContractorsMethodsIdPutResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code.
- `message` (string, optional) — Human-readable explanation.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PayoutsContractorsMethodsIdPutRequestBodyContentApplicationJsonSchemaDataAddress

- `city` (string, required) — City name
- `country` (string, required) — Country code
- `post_code` (string, required) — Post code
- `first_line` (string, required) — First line of the address
- `state` (string, optional) — State code

## Examples

**Request**

```json
{
  "data": {
    "address": {
      "city": "San Francisco",
      "country": "US",
      "post_code": "22406",
      "first_line": "First Line",
      "state": "CA"
    },
    "payload": {
      "accountHolderName": "John Doe",
      "accountNumber": "SA0380000000608010165443",
      "currency": "USD",
      "intermediary": {
        "bic": "RSDASDS",
        "country": "US"
      },
      "swiftCode": "DBDBRSBG"
    },
    "payment_method": "bank_transfer",
    "is_default": true,
    "name": "Bank Method",
    "selected_option": "swift_code"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "APPROVED",
    "version": "223e4567-e89b-12d3-a456-426614174001"
  }
}
```

**SDK Code**

```python Payouts_updateABankTransferMethod-v2026-01-01_example
import requests

url = "https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851"

payload = { "data": {
        "address": {
            "city": "San Francisco",
            "country": "US",
            "post_code": "22406",
            "first_line": "First Line",
            "state": "CA"
        },
        "payload": {
            "accountHolderName": "John Doe",
            "accountNumber": "SA0380000000608010165443",
            "currency": "USD",
            "intermediary": {
                "bic": "RSDASDS",
                "country": "US"
            },
            "swiftCode": "DBDBRSBG"
        },
        "payment_method": "bank_transfer",
        "is_default": True,
        "name": "Bank Method",
        "selected_option": "swift_code"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Payouts_updateABankTransferMethod-v2026-01-01_example
const url = 'https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"address":{"city":"San Francisco","country":"US","post_code":"22406","first_line":"First Line","state":"CA"},"payload":{"accountHolderName":"John Doe","accountNumber":"SA0380000000608010165443","currency":"USD","intermediary":{"bic":"RSDASDS","country":"US"},"swiftCode":"DBDBRSBG"},"payment_method":"bank_transfer","is_default":true,"name":"Bank Method","selected_option":"swift_code"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payouts_updateABankTransferMethod-v2026-01-01_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851"

	payload := strings.NewReader("{\n  \"data\": {\n    \"address\": {\n      \"city\": \"San Francisco\",\n      \"country\": \"US\",\n      \"post_code\": \"22406\",\n      \"first_line\": \"First Line\",\n      \"state\": \"CA\"\n    },\n    \"payload\": {\n      \"accountHolderName\": \"John Doe\",\n      \"accountNumber\": \"SA0380000000608010165443\",\n      \"currency\": \"USD\",\n      \"intermediary\": {\n        \"bic\": \"RSDASDS\",\n        \"country\": \"US\"\n      },\n      \"swiftCode\": \"DBDBRSBG\"\n    },\n    \"payment_method\": \"bank_transfer\",\n    \"is_default\": true,\n    \"name\": \"Bank Method\",\n    \"selected_option\": \"swift_code\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payouts_updateABankTransferMethod-v2026-01-01_example
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"address\": {\n      \"city\": \"San Francisco\",\n      \"country\": \"US\",\n      \"post_code\": \"22406\",\n      \"first_line\": \"First Line\",\n      \"state\": \"CA\"\n    },\n    \"payload\": {\n      \"accountHolderName\": \"John Doe\",\n      \"accountNumber\": \"SA0380000000608010165443\",\n      \"currency\": \"USD\",\n      \"intermediary\": {\n        \"bic\": \"RSDASDS\",\n        \"country\": \"US\"\n      },\n      \"swiftCode\": \"DBDBRSBG\"\n    },\n    \"payment_method\": \"bank_transfer\",\n    \"is_default\": true,\n    \"name\": \"Bank Method\",\n    \"selected_option\": \"swift_code\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Payouts_updateABankTransferMethod-v2026-01-01_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"address\": {\n      \"city\": \"San Francisco\",\n      \"country\": \"US\",\n      \"post_code\": \"22406\",\n      \"first_line\": \"First Line\",\n      \"state\": \"CA\"\n    },\n    \"payload\": {\n      \"accountHolderName\": \"John Doe\",\n      \"accountNumber\": \"SA0380000000608010165443\",\n      \"currency\": \"USD\",\n      \"intermediary\": {\n        \"bic\": \"RSDASDS\",\n        \"country\": \"US\"\n      },\n      \"swiftCode\": \"DBDBRSBG\"\n    },\n    \"payment_method\": \"bank_transfer\",\n    \"is_default\": true,\n    \"name\": \"Bank Method\",\n    \"selected_option\": \"swift_code\"\n  }\n}")
  .asString();
```

```php Payouts_updateABankTransferMethod-v2026-01-01_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851', [
  'body' => '{
  "data": {
    "address": {
      "city": "San Francisco",
      "country": "US",
      "post_code": "22406",
      "first_line": "First Line",
      "state": "CA"
    },
    "payload": {
      "accountHolderName": "John Doe",
      "accountNumber": "SA0380000000608010165443",
      "currency": "USD",
      "intermediary": {
        "bic": "RSDASDS",
        "country": "US"
      },
      "swiftCode": "DBDBRSBG"
    },
    "payment_method": "bank_transfer",
    "is_default": true,
    "name": "Bank Method",
    "selected_option": "swift_code"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Payouts_updateABankTransferMethod-v2026-01-01_example
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"address\": {\n      \"city\": \"San Francisco\",\n      \"country\": \"US\",\n      \"post_code\": \"22406\",\n      \"first_line\": \"First Line\",\n      \"state\": \"CA\"\n    },\n    \"payload\": {\n      \"accountHolderName\": \"John Doe\",\n      \"accountNumber\": \"SA0380000000608010165443\",\n      \"currency\": \"USD\",\n      \"intermediary\": {\n        \"bic\": \"RSDASDS\",\n        \"country\": \"US\"\n      },\n      \"swiftCode\": \"DBDBRSBG\"\n    },\n    \"payment_method\": \"bank_transfer\",\n    \"is_default\": true,\n    \"name\": \"Bank Method\",\n    \"selected_option\": \"swift_code\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Payouts_updateABankTransferMethod-v2026-01-01_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "address": [
      "city": "San Francisco",
      "country": "US",
      "post_code": "22406",
      "first_line": "First Line",
      "state": "CA"
    ],
    "payload": [
      "accountHolderName": "John Doe",
      "accountNumber": "SA0380000000608010165443",
      "currency": "USD",
      "intermediary": [
        "bic": "RSDASDS",
        "country": "US"
      ],
      "swiftCode": "DBDBRSBG"
    ],
    "payment_method": "bank_transfer",
    "is_default": true,
    "name": "Bank Method",
    "selected_option": "swift_code"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/contractors/methods/d290f1ee-6c54-4b01-90e6-d701748f0851")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```